#
# spec file for package gnumeric (Version 0.70)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile bonobo bonobo-devel esound esound-devel gal gal-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel guile imlib imlib-devel indent libglade libglade-devel libgpp libjpeg libole2 libole2-devel libpng libtiff libungif libunicode libxml libxml-devel oaf oaf-devel orbit orbit-devel popt python readline readline-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bonobo bonobo-devel bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gal gal-devel gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gpp gppshare grep groff gtk gtk-devel guile gzip imlib imlib-devel indent kbd less libglade libglade-devel libgpp libjpeg libole2 libole2-devel libpng libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps python rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnumeric
%define  prefix  /opt/gnome
%define  sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      X11/GNOME/Applications
Provides:     gnumeric 
Summary:      The GNOME spreadsheet program
Version:      0.70
Release:      69
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnumeric/gnumeric-%{version}.tar.bz2
Url:          http://www.gnome.org/gnumeric/
BuildRoot:    /var/tmp/build-%{name}-root

%description
From the README file:
Gnumeric is still a young program and it is advancing steadily.
This is a partial list of Features implemented in Gnumeric, we need
documentation for these:
- Autofill
Number autofill (computes delta, autofills from that)
String autofill (daynames, months are built in).
String+Number combo integer autofill
Formula autofill.
- Drag and drop selection.
Select an area and use the border to drag the
contents (shift/control/alt are modifiers to copy
or move)
- Selection
- Multiple selection is supported, hold down control
key to augment the existing selection (it might be
discotinuous).
- Walking selection
Use return/tab and shift-return/shift-tab to capture
information in a selection.
- Fill quickly a region with the same text: just enter
the text in a selection and press control-enter.
- Number formatting
- The formatting of numbers is very powerful, we do
emulate the Excel number formatting specification.
- Format rules: you can use rules to specify which
format to use
- Format colors: you can specify a color to format
with in the format.
- Column/Row resizing
- Drag the column/row division to adjust the column
and row dimenssions.
- To make changes to various columns/rows
simultaneously, select the columns and then change
the dimension of one of them.
- To edit the contents of a cell that already has a value,
press F2 key.
- When typing a formula, you can use the cursor keys to select
a cell or a cell range in the expression.  This will only
work if a cell name is valid at the cursor point.
To specify a cell range, just move to the start of the cell
range and then hold down the shift key while making the size
of the selection cursor bigger.
- An expression is evaluated constantly on top of the current
selection.  There is a number of pre-defined auto-compute
expressions, you can change this by right clicking on this
expression (it is on the bottom right corner)
- If you drag a selection with button 3 instead of button one
there is no default action, rather, a menu pops up with
a list of possible actions to perform.
- Gnumeric distinguishes regular text from formulas by preceding
formulas with an equal sign.  So to enter an expression you
have to enter for example: =1+2.
- Control-Space selects a column
- Control-A selects all
- SHift-Space selects the row.
- Selection-keys + control extend the selection to boundary of
worksheet.
- SHift-Backspace:  Collapses selection to active cell.
- Home: move to the beginning of the row.
- Control-Home: move to the cell A1

Authors:
--------
    Adrian Likins <adrian@gimp.org>
    Akira Higuchi <a-higuti@math.sci.hokudai.ac.jp>
    Alastair McKinstry <mckinstry@computer.org>
    Almer. S. Tigelaar. <almer1@dds.nl>
    Andreas Hyden <a.hyden@cyberpoint.se>
    Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
    Andreas Voegele <andreas.voegele@gmx.de>
    Andrew Chatham <andrew.chatham@duke.edu>
    Andrew T. Veliath <andrewtv@usa.net>
    Ariel Rios <ariel@arcavia.com>
    Arturo Tena <arturo@directmail.org>
    Birger Langkjer <birger.langkjer@image.dk>
    Bruno Unna <bruno@iac.com.mx>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Chema Celorio <chema@celorio.com>
    Chris Lahey <clahey@umich.edu>
    Christopher Blizzard <blizzard@appliedtheory.com>
    Christopher R. Gabriel <cgabriel@linux.it>
    Cody Russell <car0969@gamma2.uta.edu>
    Cort Dougan <cort@ppc.kernel.org>
    Daniel Risacher <magnus@alum.mit.edu>
    Daniel Veillard <Daniel.Veillard@w3.org>
    Dan Winship <danw@helixcode.com>
    Dave Camp <campd@oit.edu>
    David Chan <dpc29@hermes.cam.ac.uk>
    Dean Scott <drscott12@hotmail.com>
    Dom Lachowicz <dominicl@seas.upenn.edu>
    Elliot Lee <sopwith@redhat.com>
    ERDI Gergo <cactus@cactus.rulez.org>
    Eric Backus <ericb@lsid.hp.com>
    Eskil Heyn Olsen <deity@eskil.dk>
    Ettore Perazzoli <ettore@gnu.org>
    Federico Mena Quintero <federico@redhat.com>
    Francisco Bustamante <pancho@nuclecu.unam.mx>
    Franc,ois Pinard <pinard@iro.umontreal.ca>
    Frank Chiulli <fc-linux@home.com>
    Frederic Devernay <devernay@istar.fr>
    George Lebl <jirka@5z.com>
    Gregory McLean <gregm@gnu.org>
    Havoc Pennington <hp@pobox.com>
    Heath Martin <martinh@pegasus.cc.ucf.edu>
    Howard Gayle <howard@hal.com>
    Jacob Berkman <jacob@helixcode.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Jakub Jelinek <jj@ultra.penguin.cz>
    James Henstridge <james@daa.com.au>
    James Youngman <jay@gnu.org>
    Jarl van Katwijk <jarl@casema.net>
    Jeff Garzik <jgarzik@mandrakesoft.com>
    Jesus Bravo Alvarez <jba@pobox.com>
    Jody Goldberg <jgoldberg@home.com>
    Joe Sakosky <josak@ibm.net>
    Jon K Hellan <hellan@acm.org>
    JP Rosevear <jpr@arcavia.com>
    Jukka-Pekka Iivonen <iivonen@iki.fi>
    Karl Eichwalder <ke@suse.de>
    Karsten Weiss <karsten@addx.au.s.shuttle.de>
    Kenneth Christiansen <kenneth@gnome.dk>
    Kevin Handy <kth@srv.net>
    Kjartan Maraas <kmaraas@gnu.org>
    Larry Schwimmer <rosebud@cyclone.stanford.edu>
    Lauris Kaplinski <lauris@ariman.ee>
    Leandro su nerone <leandro@cybervalley.org>
    Manish Singh <yosh@gimp.org>
    Manish Vachharajani <mvachhar@vger.rutgers.edu>
    Marcus Daniels <marcus@sysc.pdx.edu>
    Marin Purgar <pmc@iskon.hr>
    Marius Vollmer <mvo@zagadka.ping.de>
    Mark Crichton <crichton@gimp.org>
    Mark Probst <schani@obiwan.unix.cslab.tuwien.ac.at>
    Martin Baulig <martin@home-of-linux.org>
    Martin Norbdck <norpan@bigfoot.com>
    Martin Sheppard <martin.sheppard@iname.com>
    Matthias Warkus <mawa@iname.com>
    Matt Loper <matt@gnome-support.com>
    Matt Wilson <msw@redhat.com>
    Michael Meeks <michael@helixcode.com>
    Miguel de Icaza <miguel@helixcode.com>
    Mike Kestner <mkestner@ameritech.net>
    Morten Welinder <terra@diku.dk>
    Nat Friedman <nat@helixcode.com>
    Nelson H. F. Beebe <beebe@math.utah.edu>
    Nick Lamb <njl195@zepler.org.uk>
    Norbert Warmuth <nwarmuth@privat.circular.de>
    Nuno Ferreira <nmrf@rnl.ist.utl.pt>
    Owen Taylor <otaylor@redhat.com>
    Pablo Saratxaga <pablo@mandrakesoft.com>
    Paolo Molaro <lupus@debian.org>
    Peter Moulder <reiter@netspace.net.au>
    Peter Teichman <peter@helixcode.com>
    Peter Wainwright <prw@wainpr.demon.co.uk>
    Raja R Harinath <harinath@cs.umn.edu>
    Richard Hestilow <hestgray@ionet.net>
    Richard Hult <rhult@hem.passagen.se>
    Robert Brady <rwb197@zepler.org>
    Robert Meeks <robert@imaginator.com>
    Rodrigo Stulzer Lopes <rodrigo@conectiva.com.br>
    Russell Steinthal <rms39@columbia.edu>
    Scott D. Heavner <sdh@po.cwru.edu>
    Sean Atkinson <sca20@cam.ac.uk>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>
    Sergey Panov <sipan@mit.edu>
    Spiros Papadimitriou <spapadim+@cs.cmu.edu>
    Stephane Alnet <stephane@u-picardie.fr>
    Stephen Wood <saw@genhomepage.com>
    Stuart Parmenter <pavlov@innerx.net>
    Takashi Matsuda <matsu@arch.comp.kyutech.ac.jp>
    Thomas Meeks <thomas@imaginator.com>
    Tim Janik <timj@gtk.org>
    Tim Mooney <mooney@dogbert.cc.ndsu.nodak.edu>
    Timur Bakeyev <mc@bat.ru>
    Timur I. Bakeyev <timur@gnu.org>
    Tomas Ogren <stric@ing.umu.se>
    Tom Dyas <tdyas@vger.rutgers.edu>
    Tomislav Vujec <tvujec@carnet.hr>
    Tom Tromey <tromey@cygnus.com>
    Tristan Tarrant <ttarrant@etnoteam.it>
    Tuomas J. Lukka <lukka@iki.fi>
    Tuomas Kuosmanen <tigert@tigert.gimp.org>
    Ulrich Drepper <drepper@cygnus.com>
    Vadim Strizhevsky <vadim@optonline.net>
    Valek Filippov <frob@df.ru>
    Valerie A Henson <val@nmt.edu>
    Vincent Renardias <vincent@ldsol.com>
    Vladimir Vuksan <vuksan@veus.hr>
    Yuan-Chung Cheng <platin@linux.org.tw>
    Yukihiro Nakai <nakai@gnome.gr.jp>
    Yuri Syrota <rasta@renome.rovno.ua>
    Zbigniew Chyla <chyla@buy.pl>

SuSE series: gnm

%prep
%setup -q

%build
LIBS="-L/usr/X11R6/lib" CFLAGS="$RPM_OPT_FLAGS" \
   ./configure --prefix=%prefix \
               --sysconfdir=%sysconfdir \
               --localstatedir=%{_localstatedir} \
               --with-guile
make -s 

%install
make -s DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc HACKING AUTHORS NEWS README COPYING TODO
%{prefix}/bin/*
%{prefix}/lib/gnumeric*
%{prefix}/share/gnome/apps/Applications/*
%{prefix}/share/gnome/help/*
%{prefix}/share/gnumeric
%{prefix}/share/locale/*/*/*
%{prefix}/share/mc/templates/gnumeric.desktop
%{prefix}/share/mime-info/*
%{prefix}/share/oaf/*
%{prefix}/share/pixmaps/*

%changelog -n gnumeric
* Thu Aug 23 2001 - hhetter@suse.de
- Updated to version 0.70, changes include:
  * Object printing works.
  * More configurability for drawing objects.
  * Fix importing MS Excel workbooks with multiple sheets
  * Make CEIL more as users expect.
  * Fix tokenization of help for i18n.
  * Fix accelerators for font changes
  * Enable bonobo toolbar configurability
  * Don't change the top left when unfreezing
  * Handle breakage in gnumeric files from kspread.
- functionality test on i386
* Fri Jul 20 2001 - egger@suse.de
- Updated to version 0.68.
* Wed Jul 11 2001 - egger@suse.de
- Filelist review.
* Wed Jul 11 2001 - egger@suse.de
- Update to 0.67.
- Misc cleanups....
* Wed Jun 27 2001 - hhetter@suse.de
- added gal-devel to neededforbuild
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Mon Mar 19 2001 - hhetter@suse.de
- Updated to version 0.64.
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 0.63.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Feb 21 2001 - egger@suse.de
- Updated to version 0.62.
- Cleaned up spec even more.
* Thu Dec 21 2000 - egger@suse.de
- Updated to version 0.61. Bugfix release!
- Cleaned up spec.
- Changed compression to bz2.
* Tue Dec 12 2000 - egger@suse.de
- Updated to version 0.60.
- Fixed filelist.
* Tue Nov 21 2000 - ke@suse.de
- Update to version 0.59a.
* Fri Nov 17 2000 - ke@suse.de
- Update to version 0.58.
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild libole2d -> libole2-devel
* Mon Nov 06 2000 - ro@suse.de
- fixed typo
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Oct 27 2000 - egger@suse.de
- Updated to version 0.57.
* Mon Sep 25 2000 - egger@suse.de
- Added missing gdk_pix and gdk_pixd to #neededforbuild.
* Wed Jun 21 2000 - ke@suse.de
- Update to version 0.56.
- Add libole2 and libole2d to neededforbuild.
* Mon May 22 2000 - ke@suse.de
- Update to version 0.54.
* Thu May 11 2000 - ke@suse.de
- update to version 0.53.
- make DESTDIR work.
* Mon Apr 17 2000 - ke@suse.de
- update to version 0.52.
* Mon Apr 03 2000 - ke@suse.de
- update to version 0.51.
* Tue Mar 28 2000 - ke@suse.de
- update to version 0.50.
* Tue Jan 25 2000 - ke@suse.de
- update to version 0.48.
* Wed Jan 12 2000 - ke@suse.de
- update: version 0.47.
- configure -> %%build.
* Thu Dec 09 1999 - ke@suse.de
- update: version 0.45.
* Tue Nov 23 1999 - ke@suse.de
- update: version 0.44 (bugfix release).
* Fri Nov 19 1999 - ke@suse.de
- update: version 0.43.
* Sun Oct 24 1999 - ke@suse.de
- update: version 0.41.
* Thu Oct 21 1999 - ke@suse.de
- update: version 0.39.
* Mon Sep 27 1999 - uli@suse.de
- added libglad, libgladd to neededforbuild
* Fri Sep 24 1999 - ke@suse.de
- update: version 0.38.
- require libungif instead of libgif (neededforbuild).
- require gnprintd (neededforbuild).
* Fri Sep 17 1999 - ke@suse.de
- update: version 0.35.
- guile temporarily disabled.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Sat Apr 10 1999 - ke@suse.de
- update: version 0.23.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Tue Mar 30 1999 - ke@suse.de
- bugfix for =a1-b1.
* Mon Mar 15 1999 - ke@suse.de
- update: version 0.18 (mainly bugfixes).
* Sun Mar 14 1999 - ke@suse.de
- update: version 0.17.
* Wed Mar 10 1999 - ke@suse.de
- update: version 0.16.
* Thu Mar 04 1999 - ke@suse.de
- fix menue entry.
- filelist.
* Wed Feb 24 1999 - ke@suse.de
- update: version 0.15.
* Sat Feb 20 1999 - ke@suse.de
- RPM_BUILD_ROOT fix.
* Thu Feb 18 1999 - ke@suse.de
- update: version 0.12.
- #neededforbuild audifil esound.
- chmod +x lib*.
* Fri Feb 12 1999 - ke@suse.de
- #neededforbuild indent.
- rebuilt orbit's files.
* Thu Feb 11 1999 - ke@suse.de
- update: version 0.11.
* Thu Feb 04 1999 - ke@suse.de
- update: version 0.8.
- filelist update.
* Fri Jan 22 1999 - ke@suse.de
- update: version 0.7.
* Wed Dec 02 1998 - ke@suse.de
- initial package: version 0.3.
